# CLX.ScanMouse
# 2016-2020 foo.li systeme + software

$packageName    = 'clx-scanmouse'
$packageSearch  = 'Scanner Mouse'
$fileType       = 'msi'
$version        = '2.5.7.564'
$version_int    = '2.5.7'   #as shown in software...
$url            = 'https://files.crealogix.com/dpay/customercare/downloads/CLX-OnlineInstaller-v' + $version + '.exe'
$url64          = $url
$checksum  	= '299cf7bbd24ff337977e84b34adcf093b48813ad'
$checksumType 	= 'sha1'
$silentArgs     = '/qb /norestart'
$unpackDir      = New-Item "${ENV:TEMP}\scanmouse" -ItemType Directory -Force
$unpackFile     = "${ENV:TEMP}\scanmouse.7z"
$setupFile      = Join-Path "$unpackDir" "Scanner_Mouse_Installer\msi\setup.msi"

try {
    #Install-ChocolateyPackage $packageName $fileType $silentArgs $url
    $app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
                                    'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*')`
                -ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like $packagesearch }
    if ($app -and ([version]$app.DisplayVersion -ge [version]$version_int)) {
        Write-Output $(
        'current ScanMouse software is are already installed. ' +
        'No need to download and install again. Otherwise uninstall first'
        )
    } else {
        Write-Host 'ensure the scanner mouse is connected during setup, otherwise setup will fail!'
        Get-ChocolateyWebFile $packageName $unpackFile $url $url64 `
		-checksum $checksum -checksumType $checksumType
        Get-ChocolateyUnzip $unpackFile $unpackDir
	if (Get-Process 'Scanner Mouse' -ea SilentlyContinue) {Stop-Process -processname 'Scanner Mouse' -Force -ea SilentlyContinue}
	if (Get-Process 'Scanner Mouse Monitoring' -ea SilentlyContinue) {Stop-Process -processname 'Scanner Mouse Monitoring' -Force -ea SilentlyContinue}
        Install-ChocolateyInstallPackage $packageName $fileType $silentArgs $setupFile
        Remove-Item $unpackDir -Recurse -Force -ErrorAction SilentlyContinue
    }
} catch {
    throw $_.Exception
}
